Subject: RE: [Sipping] WGLC: draft-ietf-sipping-overload-reqs-00.txt

From: "CHADLI Youssef RD-CORE-ISS" <[email-masked]>
Date: Wed, 30 May 2007 11:44:14 +0200

> Volker Hilt wrote
> I think we are still in the process of figuring out what a 
> good solution is and should not block one way or the other.

I agree

> > In case of a SIP server composed of a farm of servers with 
> a front-end 
> > server, only this latter knows the load status of the whole server. 
> > Two cases are possible:
> >  - The front-end server performs only
> > load balancing of initial SIP request between the managed 
> servers of 
> > the farm and, for performance reasons, it does not want to 
> receive the 
> > subsequent messages (including the SIP responses), then using SIP 
> > responses to carry load information would not work with 
> this kind of 
> > servers.
> 
> What you are talking about seems to be a third party that 
> does not participate in SIP signaling but implements overload 
> control on behalf of the proxies in the farm.

The role of the front-end is not only performing overload control. It
performs load balancing between the servers in the farm and allows the
farm to be seen as single SIP server from outside.
 
> Having such an overload box will require this box to receive 
> the overload status from all proxies (maybe through subscriptions?). 

We can assume that the front-end server knows the load status of the
farm it feeds. The way the frond-end server gets/computes this
information should be considered out of the scope. 

> Upstream neighbors would have to have a way to discover the 
> overload box that is responsible for a server, subscribe to 
> load status and get notifications. The box would have to 
> manage subscriptions over time to all its upstream neighbors.

This may be a suitable solution.

> > - The front-end server does load balancing and performs some other 
> > functions which imply that it receives all the SIP 
> messages. In this 
> > case, in general, the frond-end server would just need to 
> relay these 
> > messages. If the load information are exchanged in SIP 
> responses, such 
> > frond-end server has to check all received SIP responses 
> from external 
> > SIP severs to extract the possible load information. Moreover, the 
> > front-end server has to intercept SIP responses coming from the fed 
> > servers to insert load information destined to external servers. 
> > Consequently, supporting this mechanism by such SIP servers would 
> > heavily impact their performance.
> > 
> This server would need to do the usual SIP header processing 
> and modification. I don't see what load information would add 
> that would heavily impact their performance.

This would oblige the front-end to check the presence of load
information in all the SIP responses it receives. For instance, a
stateless proxy needs only to treats the via header of SIP respones.

Best regards
Y. CHADLI

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP